Eclipse update 3.4.0 to 3.4.1 => Plugin fails

Help
m.hilpert
2008-10-30
2013-04-24
  • m.hilpert
    m.hilpert
    2008-10-30

    After upgrading my Eclipse 3.4.0 to 3.4.1 (and start Eclipse with "-clean"), the projects are not shared anymore with VSS. The Eclipse .log has for each project such an entry:

    ----------------
    !ENTRY org.eclipse.team.core 4 0 2008-10-30 14:48:46.874
    !MESSAGE Could not instantiate provider org.vssplugin.core.VSSPluginProvider for project PRT.
    !STACK 1
    org.eclipse.team.core.TeamException: Could not instantiate provider org.vssplugin.core.VSSPluginProvider for project PRT.
        at org.eclipse.team.core.RepositoryProvider.mapNewProvider(RepositoryProvider.java:165)
        at org.eclipse.team.core.RepositoryProvider.mapExistingProvider(RepositoryProvider.java:235)
        at org.eclipse.team.core.RepositoryProvider.getProvider(RepositoryProvider.java:507)
        at org.eclipse.team.internal.ccvs.ui.CVSLightweightDecorator.isMappedToCVS(CVSLightweightDecorator.java:192)
        at org.eclipse.team.internal.ccvs.ui.CVSLightweightDecorator.decorate(CVSLightweightDecorator.java:147)
        at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:263)
        at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:72)
        at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
        at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:356)
        at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:338)
        at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:374)
        at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:334)
        at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
    !SUBENTRY 1 org.eclipse.team.core 4 0 2008-10-30 14:48:46.874
    !MESSAGE Could not instantiate provider org.vssplugin.core.VSSPluginProvider for project Test.
    ----------------------------------------

    Does Eclipse 3.4.1 break any API so that the VSS PLugin 1.6.2 doesn't work anymore?

     
    • m.hilpert
      m.hilpert
      2008-10-30

      Oh boy: it seems that Eclipse needs to be reinstalled every once in a while. I installed Eclipse 3.4.1 from scratch (i.e. no update from 3.4.0) and now, the VSS Plugin gets back working ...